using ImageMagick;
using Ocr.Tesseract.Extensions;
using Process.Abstract;
using System.Collections.Generic;

namespace Ocr.Tesseract.Screenshots;

public class NegateCloneProcessor : Processor<MagickImage, MagickImage>
{
  /// <inheritdoc />
  public override IEnumerable<MagickImage> Process(IEnumerable<MagickImage> inputs)
  {
    foreach (var input in inputs)
    {
      yield return input;
      yield return input.CloneImage().NegateColors();
    }
  }
}